#ifndef __TMASKVEN_H
#include "tmaskven.h"
#endif

const TString& TMask_vendite::get(short fld_id) const
{
   if( !present( fld_id ) )
     return "";
   else
     return TMask::get( fld_id );
}

void TMask_vendite::set_handler(short fld_id, CONTROL_HANDLER handler)
{
  if( !present( fld_id ) )
    return;
  TMask::set_handler( fld_id, handler );
}

void TMask_vendite::set(short fld_id, const char* str, bool hit )
{
  if( !present( fld_id ) )
    return;
  TMask::set( fld_id, str, hit );
}

void TMask_vendite::show(short fld_id, bool on )
{
  if( !present( fld_id ) )
    return;
  TMask::show( fld_id, on );
}
 
void TMask_vendite::enable(short fld_id, bool on )
{
  if( !present( fld_id ) )
    return;
  TMask::enable( fld_id, on );
}

void TMask_vendite::check_field( short fld_id )
{
  if( !present( fld_id ) )
    return;
  field( fld_id ).on_hit( );    
  field( fld_id ).check( );
}
